%global spec_ver 3.0
%global spec_name geronimo-jpa_%{spec_ver}_spec
Name:                geronimo-jpa
Version:             1.1.1
Release:             1
Summary:             Java persistence API implementation
License:             ASL 2.0
URL:                 http://geronimo.apache.org/
# Unfortunately no source release was created in
# http://repo2.maven.org/maven2/org/apache/geronimo/specs/geronimo-jpa_3.0_spec/1.1.1/
# so we do:
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jpa_3.0_spec-1.1.1
# tar caf geronimo-jpa_3.0_spec-1.1.1.tar.xz geronimo-jpa_3.0_spec-1.1.1
Source0:             %{spec_name}-%{version}.tar.xz
BuildArch:           noarch
BuildRequires:       maven-local mvn(org.apache.geronimo.specs:specs:pom:)
Provides:            jpa_api = %{spec_ver}
Provides:            javax.persistence = %{spec_ver}
%description
The Java Persistence API is a new programming model under EJB 3.0
specification (JSR220) for the management of persistence and
object/relational mapping with Java EE and Java SE. Geronimo JPA is
one implementation of this specification.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
%{summary}.

%prep
%setup -q -n %{spec_name}-%{version}

%build
%mvn_file  : %{name}/%{name} %{name} jpa
%mvn_alias : javax.persistence:persistence-api
%mvn_build

%install
%mvn_install
install -d -m 755 %{buildroot}%{_javadir}/javax.persistence/
ln -sf ../%{name}.jar %{buildroot}%{_javadir}/javax.persistence/

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt
%{_javadir}/javax.persistence/

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

%changelog
* Tue Sep 1 2020 huanghaitao <huanghaitao8@huawei.com> - 1.1.1-1
- package init
